Loan Applications

Get Loan Applications for a Client

get
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Query parameters
clientIdstring · uuidOptional

Client Id

Responses
chevron-right
200

Loan with Id found

countinteger · int32Optional
get
/loan-applications

Create a Loan Application

post
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Body
clientIdstring · uuidRequired
userIdstring · uuid · nullableOptional

Defaulted to current user, if not an admin

Responses
chevron-right
200

Loan created successfully

Represents an audit record for an entity that has been created or updated.

idstring · nullableOptional

The unique identifier of the entity that was modified.

typestring · nullableOptional

A string indicating the type or category of the modified entity (e.g., “Webhook”, “LoanApplicationTask”).

createdTimestampstring · date-time · nullableOptional

The timestamp when the entity was first created.

updatedTimestampstring · date-time · nullableOptional

The timestamp when the entity was last updated.

post
/loan-applications

Get Loan Details by Id

get
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Path parameters
idstring · uuidRequired

Loan ID

Responses
chevron-right
200

Loan with Id found

updatedByEmailstring · nullableOptional
updatedByFirstNamestring · nullableOptional
updatedByLastNamestring · nullableOptional
updatedByIpstring · nullableOptional
isLoanEditablebooleanOptional
skipStatedIncomePreapprovalboolean · nullableOptional
startStatedIncomePreapprovalboolean · nullableOptional
isSetupCompletebooleanOptional
timestampinteger · int64 · nullableOptional
idstring · uuidOptional
isDeletedbooleanOptional
createdTimestampUtcstring · date-timeOptional
updatedTimestampUtcstring · date-time · nullableOptional
updatedBystring · uuid · nullableOptional
get
/loan-applications/{id}

Delete, logically, a Loan Application

delete
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Path parameters
idstring · uuidRequired

Loan ID

Responses
chevron-right
200

Loan Application deleted successfully

No content

delete
/loan-applications/{id}

No content

Retrieves all tasks associated with a specific loan application.

get
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Path parameters
idstring · uuidRequired

The unique identifier of the loan application.

Responses
chevron-right
200

Loan application tasks retrieved successfully

idstring · uuidOptional
namestring · nullableOptional
descriptionstring · nullableOptional
updatedTaskStatusTimestampstring · date-timeOptional
updatedTimestampstring · date-timeOptional
createdTimestampstring · date-timeOptional
rejectionReasonNotestring · nullableOptional
get
/loan-applications/{id}/tasks

Creates a new task for the specified loan application.

post
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Path parameters
idstring · uuidRequired

The unique identifier of the loan application.

Body
namestring · nullableOptional
descriptionstring · nullableOptional
Responses
chevron-right
200

Loan application task created successfully

Represents an audit record for an entity that has been created or updated.

idstring · nullableOptional

The unique identifier of the entity that was modified.

typestring · nullableOptional

A string indicating the type or category of the modified entity (e.g., “Webhook”, “LoanApplicationTask”).

createdTimestampstring · date-time · nullableOptional

The timestamp when the entity was first created.

updatedTimestampstring · date-time · nullableOptional

The timestamp when the entity was last updated.

post
/loan-applications/{id}/tasks

Retrieves a specific task associated with a loan application.

get
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Path parameters
idstring · uuidRequired

The unique identifier of the loan application.

taskIdstring · uuidRequired

The unique identifier of the task within the loan application.

Responses
chevron-right
200

Loan application task retrieved successfully

idstring · uuidOptional
namestring · nullableOptional
descriptionstring · nullableOptional
updatedTaskStatusTimestampstring · date-timeOptional
updatedTimestampstring · date-timeOptional
createdTimestampstring · date-timeOptional
rejectionReasonNotestring · nullableOptional
get
/loan-applications/{id}/tasks/{taskId}

Updates an existing task for the specified loan application.

put
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Path parameters
idstring · uuidRequired

The unique identifier of the loan application.

taskIdstring · uuidRequired

The unique identifier of the task to be updated.

Body
namestring · nullableOptional
descriptionstring · nullableOptional
Responses
chevron-right
200

Loan application task updated successfully

Represents an audit record for an entity that has been created or updated.

idstring · nullableOptional

The unique identifier of the entity that was modified.

typestring · nullableOptional

A string indicating the type or category of the modified entity (e.g., “Webhook”, “LoanApplicationTask”).

createdTimestampstring · date-time · nullableOptional

The timestamp when the entity was first created.

updatedTimestampstring · date-time · nullableOptional

The timestamp when the entity was last updated.

put
/loan-applications/{id}/tasks/{taskId}

Deletes a specific task associated with a loan application.

delete
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Path parameters
idstring · uuidRequired

The unique identifier of the loan application.

taskIdstring · uuidRequired

The unique identifier of the task to be deleted.

Responses
delete
/loan-applications/{id}/tasks/{taskId}

No content

Accept Loan Application Task by ID

post
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Path parameters
idstring · uuidRequired

The unique identifier of the loan application.

taskIdstring · uuidRequired

The unique identifier of the task to be accepted.

Responses
chevron-right
200

Loan application task accepted successfully

Represents an audit record for an entity that has been created or updated.

idstring · nullableOptional

The unique identifier of the entity that was modified.

typestring · nullableOptional

A string indicating the type or category of the modified entity (e.g., “Webhook”, “LoanApplicationTask”).

createdTimestampstring · date-time · nullableOptional

The timestamp when the entity was first created.

updatedTimestampstring · date-time · nullableOptional

The timestamp when the entity was last updated.

post
/loan-applications/{id}/tasks/{taskId}/accept

Uploads a document to a specific task within a loan application.

post
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Path parameters
idstring · uuidRequired

The unique identifier of the loan application.

taskIdstring · uuidRequired

The unique identifier of the task within the loan application.

Body
filestring · binaryOptional
Responses
chevron-right
200

Loan application task document uploaded successfully

Represents an audit record for an entity that has been created or updated.

idstring · nullableOptional

The unique identifier of the entity that was modified.

typestring · nullableOptional

A string indicating the type or category of the modified entity (e.g., “Webhook”, “LoanApplicationTask”).

createdTimestampstring · date-time · nullableOptional

The timestamp when the entity was first created.

updatedTimestampstring · date-time · nullableOptional

The timestamp when the entity was last updated.

post
/loan-applications/{id}/tasks/{taskId}/documents

Retrieves a specific document associated with a loan application task.

get
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Path parameters
idstring · uuidRequired

The unique identifier of the loan application.

taskIdstring · uuidRequired

The unique identifier of the task within the loan application.

documentIdstring · uuidRequired

The unique identifier of the document associated with the task.

Query parameters
isOriginalbooleanOptional

A boolean indicating whether to return the original file (true) or the converted PDF version (false). Default is false.

Default: false
Responses
get
/loan-applications/{id}/tasks/{taskId}/documents/{documentId}

No content

Rejects a specific task within a loan application.

post
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Path parameters
idstring · uuidRequired

The unique identifier of the loan application.

taskIdstring · uuidRequired

The unique identifier of the task to be rejected.

Body
rejectionReasonNotestring · nullableOptional
Responses
chevron-right
200

Loan application task rejected successfully

Represents an audit record for an entity that has been created or updated.

idstring · nullableOptional

The unique identifier of the entity that was modified.

typestring · nullableOptional

A string indicating the type or category of the modified entity (e.g., “Webhook”, “LoanApplicationTask”).

createdTimestampstring · date-time · nullableOptional

The timestamp when the entity was first created.

updatedTimestampstring · date-time · nullableOptional

The timestamp when the entity was last updated.

post
/loan-applications/{id}/tasks/{taskId}/reject

Retrieves all vault documents associated with a specific loan application.

get
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Path parameters
idstring · uuidRequired

The unique identifier of the loan application.

Responses
chevron-right
200

Loan application vault documents retrieved successfully

idstring · uuidOptional
fileNamestring · nullableOptional
titlestring · nullableOptional
descriptionstring · nullableOptional
createdTimestampstring · date-timeOptional
updatedTimestampstring · date-timeOptional
get
/loan-applications/{id}/vault-documents

Creates a new vault document for the specified loan application.

post
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Path parameters
idstring · uuidRequired

The unique identifier of the loan application.

Body
Documentstring · binaryOptional
TitlestringOptional
DescriptionstringOptional
Responses
chevron-right
200

Loan application task created successfully

Represents an audit record for an entity that has been created or updated.

idstring · nullableOptional

The unique identifier of the entity that was modified.

typestring · nullableOptional

A string indicating the type or category of the modified entity (e.g., “Webhook”, “LoanApplicationTask”).

createdTimestampstring · date-time · nullableOptional

The timestamp when the entity was first created.

updatedTimestampstring · date-time · nullableOptional

The timestamp when the entity was last updated.

post
/loan-applications/{id}/vault-documents

Retrieves a specific vault document associated with a loan application.

get
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Path parameters
idstring · uuidRequired

The unique identifier of the loan application.

documentIdstring · uuidRequired

The unique identifier of the document associated with the loan application.

Responses
get
/loan-applications/{id}/vault-documents/{documentId}

No content

Updates an existing vault document for the specified loan application.

put
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Path parameters
idstring · uuidRequired

The unique identifier of the loan application.

documentIdstring · uuidRequired

The unique identifier of the vault document to be updated.

Body
titlestring · nullableOptional
descriptionstring · nullableOptional
Responses
chevron-right
200

Loan application task created successfully

Represents an audit record for an entity that has been created or updated.

idstring · nullableOptional

The unique identifier of the entity that was modified.

typestring · nullableOptional

A string indicating the type or category of the modified entity (e.g., “Webhook”, “LoanApplicationTask”).

createdTimestampstring · date-time · nullableOptional

The timestamp when the entity was first created.

updatedTimestampstring · date-time · nullableOptional

The timestamp when the entity was last updated.

put
/loan-applications/{id}/vault-documents/{documentId}

Deletes a specific vault document associated with a loan application.

delete
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Path parameters
idstring · uuidRequired

The unique identifier of the loan application.

documentIdstring · uuidRequired

The unique identifier of the vault document to be deleted.

Responses
delete
/loan-applications/{id}/vault-documents/{documentId}

No content

Last updated